### Virtual Method

# Camel Session trust_prompt

since: 3.8

#### Declaration [src]

    CamelCertTrust
    trust_prompt (
      CamelSession* session,
      CamelService* service,
      GTlsCertificate* certificate,
      GTlsCertificateFlags errors
    )

#### Description [src]

Prompts the user whether to accept `certificate` for `service`. The set of flags given in `errors` indicate why the `certificate` failed validation.

If an error occurs during prompting or if the user declines to respond, the function returns #CAMEL_CERT_TRUST_UNKNOWN and the certificate will be rejected.

Available since: 3.8

#### Parameters

`service`

  Type: `CamelService`

  A `CamelService`.

  The data is owned by the caller of the method.

`certificate`

  Type: `GTlsCertificate`

  The peer’s `GTlsCertificate`.

  The data is owned by the caller of the method.

`errors`

  Type: `GTlsCertificateFlags`

  The problems with `certificate`.

#### Return value

Type: `CamelCertTrust`

The user’s trust level for `certificate`.